# https://github.com/pion/obs-wormhole


include ./../../../../../root.mk



LIB_REPO=					github.com/pion
LIB_REPO_FSPATH=			$(GOPATH)/src/$(LIB_REPO)

# Git Repo's under that org.
OBS_LIB_NAME=				obs-wormhole
OBS_LIB=					$(LIB_REPO)/$(OBS_LIB_NAME)
OBS_LIB_FSPATH=			$(LIB_REPO_FSPATH)/$(OBS_LIB_NAME)
OBS_LIB_TAGNAME=NONE

this-print:
	@echo
	@echo LIB_REPO: 				$(LIB_REPO)
	@echo LIB_REPO_FSPATH: 			$(LIB_REPO_FSPATH)
	@echo

	@echo
	@echo OBS_LIB_FSPATH: 			$(OBS_LIB_FSPATH)
	@echo


this-git-clone:
	$(MAKE) git-clone-args LIB=$(OBS_LIB) LIB_FSPATH=$(OBS_LIB_FSPATH)
	
	# get by tag
	#cd $(OBS_LIB_FSPATH) && git fetch --all --tags --prune
	#cd $(OBS_LIB_FSPATH) && git checkout tags/$(YORKIE_LIB_TAGNAME)

this-git-delete:
	rm -rf $(LIB_REPO_FSPATH)

this-vscode-open:
	code $(LIB_REPO_FSPATH)

BIN_FSPATH=$(PWD)/bin
DATA_FSPATH=$(PWD)/data

### Data

this-data-boot:
	mkdir -p $(DATA_FSPATH)

	## audio
	# https://file-examples.com/wp-content/uploads/2017/11/file_example_MP3_5MG.mp3
	curl https://file-examples.com/wp-content/uploads/2017/11/file_example_MP3_5MG.mp3  \
		--output $(DATA_FSPATH)/file_example_MP3_5MG.mp3

	# https://file-examples.com/wp-content/uploads/2017/11/file_example_MP3_700KB.mp3
	curl https://file-examples.com/wp-content/uploads/2017/11/file_example_MP3_700KB.mp3  \
		--output $(DATA_FSPATH)/file_example_MP3_700KB.mp3

	## video
	# see: http://demo.nimius.net/video_test/
	curl http://demo.nimius.net/video_test/videos/test.mp4  \
		--output $(DATA_FSPATH)/test.mp4

	curl http://demo.nimius.net/video_test/videos/test.webm  \
		--output $(DATA_FSPATH)/test.webm

	curl http://demo.nimius.net/video_test/videos/test.avi  \
		--output $(DATA_FSPATH)/test.avi


### Server

this-obs-build:
	cd $(OBS_LIB_FSPATH) && go build -o $(BIN_FSPATH)/obs .
this-obs-run:
	# works
	$(BIN_FSPATH)/obs

### Client

this-client-run:
	# audio - works :)
	$(BIN_FSPATH)/player $(DATA_FSPATH)/test.mp4
